osgUtil::Optimizer::IsOperationPermissibleForObjectCallback Struct Reference

`#include <Optimizer>`

Inheritance diagram for osgUtil::Optimizer::IsOperationPermissibleForObjectCallback:

## Public Member Functions

virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::StateSet *stateset, unsigned int option) const
virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::StateAttribute *attribute, unsigned int option) const
virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::Drawable *drawable, unsigned int option) const
virtual bool | isOperationPermissibleForObjectImplementation (const Optimizer *optimizer, const osg::Node *node, unsigned int option) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Callback for customizing what operations are permitted on objects in the scene graph.

## Member Function Documentation

## isOperationPermissibleForObjectImplementation() [1/4]

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::Drawable * | drawable,
|  | unsigned int | option ) const

inline virtual

References osgUtil::Optimizer::isOperationPermissibleForObjectImplementation(), and osgUtil::Optimizer::Optimizer().

## isOperationPermissibleForObjectImplementation() [2/4]

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::Node * | node,
|  | unsigned int | option ) const

inline virtual

References osgUtil::Optimizer::isOperationPermissibleForObjectImplementation(), and osgUtil::Optimizer::Optimizer().

## isOperationPermissibleForObjectImplementation() [3/4]

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::StateAttribute * | attribute,
|  | unsigned int | option ) const

inline virtual

References osgUtil::Optimizer::isOperationPermissibleForObjectImplementation(), and osgUtil::Optimizer::Optimizer().

## isOperationPermissibleForObjectImplementation() [4/4]

virtual bool osgUtil::Optimizer::IsOperationPermissibleForObjectCallback::isOperationPermissibleForObjectImplementation | ( | const Optimizer * | optimizer,
|  | const osg::StateSet * | stateset,
|  | unsigned int | option ) const

inline virtual

References osgUtil::Optimizer::isOperationPermissibleForObjectImplementation(), and osgUtil::Optimizer::Optimizer().

The documentation for this struct was generated from the following file:

- Optimizer